前人未踏の領域へ アプリ開発編

Android, iOSアプリ開発に関する調査メモ置き場。ほとんどAndroid。はてなダイアリーから移行したため古い記事にはアプリ以外も含まれます。

Gradle 4.10とFirebaseについて

2018/11/12追記

Android Studiio 3.3 beta3
firebase-core:16.0.5
firebase-perf:16.2.0
distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.2-all.zip

の組み合わせで上手く動いた。なのでgradle-4.10.2で現在は問題ない。

以下の記事は解決済み。

Android Studioを3.3 Previewにしたところ、Gradleのバージョンを4.10.xに上げるように案内があった。

The Android Gradle plugin 3.3.0 requires Gradle 4.10 and higher, and includes the following updates.

で、上げたところアプリが起動しなくなった。

調べたところFirebase Performance Monitoringが原因でエラーになっていた。 このライブラリをコメントアウトすれば動作はするが、 StackOverFlowにはFirebaseの現状のライブラリでは4.10に対応していないような 記事も見かけたのでしばらくは4.9系のままでいくことにする。

動く設定

app/build.gradle

    implementation "com.google.firebase:firebase-core:16.0.4"
    implementation "com.google.firebase:firebase-perf:16.1.2"
gradle-wrapper.properties

    distributionUrl=https\://services.gradle.org/distributions/gradle-4.9-all.zip